<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	CheckCallIsCorrect();
	
	global $HTTP_POST_VARS, $folders, $active_folder;
	
	if( !isset( $active_folder ) )
	{
		echo "<font class=bodyText>You should define though one maillist first.<br>
		Please, go to the menu <a href=\"MailManager.php?mid=0\">Folders/Manage</a> and add the maillist.
		</font>";
		exit;		
	}
	
	include_once ('class/MailList.class.inc');
	include_once ('class/UploadForm.class.inc');
	include_once ('class/CharSets.class.inc');
	include ('data/options.inc');
	
	$list = new MailList ( 1 ) ;
	$charsets = new CharSets('data/charsets.dat');
	$upload = new UploadForm( 'upload' );
	
	$UseSendStyle = true; // comment it, to do NOT use send style in UI.
?>

<script language="JavaScript" src="./send.js">
</script>

<form enctype="multipart/form-data" name="edit_form" method="post" action="<?=$target;?>">
<input type=hidden name="ctx" value="2">
<input type=hidden name="compose" value="1">
<?php
	global $HTTP_POST_VARS;
	
	$mailto = "";
	
	function FormatMail( $mail_str, $email, $name = "" ) {
		if( $mail_str != "" )
			$mail_str .= "\n";
		if( $name != "" )
			$mail_str .= sprintf( "%s <%s>", $name, $email );
		else
			$mail_str .= $email;
		return $mail_str;
	}

	foreach ($HTTP_POST_VARS as $var => $value)
	{
		$prn = false;
		$key = substr( $value, 3 );
		settype($key, "integer");
		$mail = $list->mails[ $key ];
		
		if( strstr( $var, 'mailto' ) == $var )
		{
			$mailto = FormatMail( $mailto, $mail->email, $mail->desc );
			$prn = true;
		}
		
		
		if( $var == 'CustomTo' && $value != "" )
		{
			$mailto = FormatMail( $mailto, $value );
			$prn = true;
		}
		
	
		if( $prn )
		{
			print <<<END
			<input type=hidden name="$var" value="$value">

END;
		}
	}
	
	if( $mailto == "" )
	{
		print <<<END
		<p class=BodyText>
		<b>To</b> field is empty. Please, go 
		<input type=button value=Back onclick="javascript:GotoContext('0');"> and correct the error.
		</p>
END;
		exit();
	}
	
	extract( $HTTP_POST_VARS, EXTR_SKIP );
	
	if( $FromAddr0 == "" ) 		$FromAddr0 = $FromAddr;
	if( $FromName0 == "" ) 		$FromName0 = $FromName;
	if( $ReplyToAddr0 == "" ) 	$ReplyToAddr0 = $ReplyToAddr;
	if( $ReplyToName0 == "" ) 	$ReplyToName0 = $ReplyToName;
	if( $Charset0 == "" ) 		$Charset0 = $Charset;
	if( $MessageFormat0 == "" ) $MessageFormat0 = $MessageFormat;
	
	if( $Subject0 == "" )
		$Subject0 = $Subject;
	else
	{
		if( $compose != "1" )
			$Subject0 = base64_decode( $Subject0 );
		
		$Subject0 = stripslashes( $Subject0 );
		$Subject0 = htmlspecialchars( $Subject0, ENT_QUOTES );
	}
	
	if( $SendStyle == "" ) 		$SendStyle = 2;
	
	if( $MessageText != "")
		if( $compose != "1" )
			$MessageText = base64_decode( $MessageText );
?>

<script language="JavaScript1.2">
<!--

function show_status() {
 $status_msg = '';
 if( $status_msg.length > 0 ) alert($status_msg);
}

var SubMenuHorOffset=5;
var SubMenuVertOffset=2;
var HideTimeout = 300;
var SubMenuBgColor = '#d8d8d8';
var SubMenuColor = '#111111';
var SubMenuSeparatorColor = '#808080';
var SubMenuDisabledColor = '#808080';
var SubMenuHighlightBgColor = '#dbaeae';
var SubMenuHighlightColor = '#300000';

var SubMenuBorderColor = '#222222';
var SubMenuBorderWidth = 1;
var SubMenuItemSpacing = 4;
var SubMenuMinWidth=null;

var SubMenuItemAlign = new Array(true,true,true,true,false,true);

var SubMenuItem = new Array(
	new Array('User name', '<%NAME%>', 'User address', '<%EMAIL%>', 'Folder name',
		'<%FOLDER%>', 'Unsubscribe URL', '<%UNSUBSCRIBE%>')
);

var TimerID = null;

for( i=0; i<SubMenuItem.length; i++ ) {
 if( SubMenuItem[i] != null ) {
  document.write(
	'<div id="submenu'+i+'" onMouseOver="javascript: clr_timer()"'+
	' onMouseOut="javascript: set_timer()"'+
	' style="position:absolute; cursor:hand;'+
	' z-index:99; visibility: hidden;'+
	' border: 1px">');

  document.write('<table ');

  if( SubMenuMinWidth && (SubMenuMinWidth>0) )
   document.write('width="'+SubMenuMinWidth+'" ');

  document.write('border="0" cellspacing="'+SubMenuBorderWidth+'" cellpadding="0" bgcolor="'+SubMenuBorderColor+'">'+
	'<tr><td><table width="100%" border="0" cellspacing="0" cellpadding="'+SubMenuItemSpacing+'" bgcolor="'+SubMenuBgColor+'">');

  for(j=0; j<SubMenuItem[i].length/2; j++) {
   document.write('<tr><td class="smi" bgcolor="'+SubMenuBgColor+'"');

   if( SubMenuItem[i][j*2] != null ) {
    if( SubMenuItem[i][j*2+1] != null )  {
    document.write(
     ' onMouseOver="javascript: set_color(this,SubMenuHighlightBgColor,SubMenuHighlightColor)"'+
     ' onMouseOut="javascript: set_color(this,SubMenuBgColor,SubMenuColor)"'+
     ' onClick="javascript: menu_action(\''+SubMenuItem[i][j*2+1]+'\')"');
     document.write('><font id="lnk" style="color: '+SubMenuColor+'">'+
	SubMenuItem[i][j*2]+'</font>');
    } else {
     document.write('><font style="color: '+SubMenuDisabledColor+'">'+
	SubMenuItem[i][j*2]+'</font>');
    }

   } else {
    document.write(
    '><table border="0" bgcolor="'+SubMenuSeparatorColor+'" cellspacing="0" cellpadding="0" width="100%">'+
    '<tr><td><img src="/soft/abcestore/admin/images/clr.gif" width="1" height="1"></td></tr></table>');
   }
    document.write('</td></tr>');
  }

  document.write('</table></td></tr></table></div>');
 }
}

function getXY(obj) {
   var newObj = new Object();
   newObj.left = obj.offsetLeft;
   newObj.width = obj.offsetWidth;
   newObj.height = obj.offsetHeight;
   newObj.top = obj.offsetTop;
   obj_parent = obj.offsetParent;
   while(obj_parent != null) {
    newObj.left += obj_parent.offsetLeft;
    newObj.top += obj_parent.offsetTop;
    obj_parent = obj_parent.offsetParent;
   }
   return newObj;
}

function repos_all() {
for( i=0; i<SubMenuItem.length; i++ ) {
 if( (document.all['submenu'+i] != null) &&
     (document.all['MenuItem'+i] != null ) ) {
  var sm = document.all['submenu'+i].style;
  var obj = getXY(document.all['MenuItem'+i]);

  if( SubMenuItemAlign[i] )
   sm.left = obj.left+SubMenuHorOffset;
  else
   sm.left = obj.left-(document.all['submenu'+i].offsetWidth-obj.width)-SubMenuHorOffset;
  sm.top = obj.top+obj.height+SubMenuVertOffset;
 }
}
}

function menu_showsub(id) {
 if( document.all['MenuItem'+id] != null )
  document.all['MenuItem'+id].className = "NavDown";

 if( document.all['submenu'+id] == null ) return;
 var sm = document.all['submenu'+id].style;
 var obj = getXY(document.all['MenuItem'+id]);

 if( SubMenuItemAlign[id] )
  sm.left = obj.left+SubMenuHorOffset;
 else
  sm.left = obj.left-(document.all['submenu'+id].offsetWidth-obj.width)-SubMenuHorOffset;
 sm.top = obj.top+obj.height+SubMenuVertOffset;
 sm.visibility = 'visible';
}

function menu_hide_all(id) {
 i = 0;
 while( document.all['MenuItem'+i] ) {
  if( id!=i ) {
   if( document.all['submenu'+i] )
    document.all['submenu'+i].style.visibility = 'hidden';

   if( document.all['MenuItem'+i] != null )
    document.all['MenuItem'+i].className = "NavOff";
  }
  i++;
 }
}

function menu_action( obj ) {
 menu_hide_all();
 var msg = document.all['message'];
 msg.insertAdjacentText( 'beforeEnd', obj );
}

function clr_timer() {
 if( TimerID != null ) clearTimeout(TimerID);
}

function set_timer() {
   TimerID = setTimeout("menu_hide_all()",HideTimeout);
}

function menu_show(id) {
 clr_timer();
 menu_hide_all(id);
 menu_showsub(id);
}

function set_color(obj,bg,col) {
 obj.bgColor = bg;
 if( obj.children['lnk'] )
  obj.children['lnk'].style.color = col;
}

// -->
</script>

<table width=90%  border=0 cellpadding="5" cellspacing="0" class="bodyText">
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Address</b></td></tr>
	<tr>
		<td valign=top >
			To:&nbsp
		</td>
		<td>
			<textarea name="ToPreview" readonly align=left name="To" cols=70 rows="4"><?=htmlentities( $mailto ); ?></textarea>
		</td>
	</tr>
<?php
	if( $UseSendStyle )
	{
		$opts[] = 'Standard (use To field)';
		$opts[] = 'All recipients in Bcc field';
		$opts[] = 'Separate letters to everyone';
		
	
?>
			
		<tr>
			<td valign=top >
				Send Style:&nbsp
			</td>
			<td>
				<select name=SendStyle>
<?php
			
			for( $i = 0; $i < count( $opts ); $i++ )
			{
				$selected = '';
				if( $i == $SendStyle )
					$selected = 'selected';
				print "\t\t\t\t<option value=$i $selected>$opts[$i]";
			}
?>			
				</select><br>
			</td>
		</tr>
<?php
	}
	else
		print '<input type=hidden name=SendStyle value=0>';
?>
	<tr>
		<td valign=top>
			From:&nbsp
		</td>
		<td>
			<table class="bodyText">
			<tr>
				<td>Address&nbsp;&nbsp;&nbsp;</td>
				<td><input type=text name=FromAddr0 size=40 value="<?=$FromAddr0?>"></td>
			</tr>
			<tr>
				<td>Name&nbsp;&nbsp;&nbsp;</td>
				<td><input type=text name=FromName0 size=40 value="<?=$FromName0?>"></td>
			</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td valign=top>
			Reply-To:&nbsp
		</td>
		<td>
			<table class="bodyText">
		<tr>
			<td>Address&nbsp;&nbsp;&nbsp;</td>
			<td><input type=text name=ReplyToAddr0 size=40 value="<?=$ReplyToAddr0?>"></td>
		</tr>
		<tr>
			<td>Name&nbsp;&nbsp;&nbsp;</td>
			<td><input type=text name=ReplyToName0 size=40 value="<?=$ReplyToName0?>"></td>
		</tr>
		</table>
		</td>
	</tr>
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Options</b></td></tr>
	<tr>
		<td valign=top>
			Character Set:&nbsp
		</td>
		<td>
			<?
				$charsets->PrintSelect('Charset0', $Charset0 );
			?>
		</td>
	</tr>
	<tr>
		<td valign=top>
			Format:&nbsp
		</td>
		<td>
			<input type="radio" name="MessageFormat0" value=0 <?=$MessageFormat0==0?"checked":""?> > Text/Plain<br>
        	<input type="radio" name="MessageFormat0" value=1 <?=$MessageFormat0==1?"checked":""?> > Text/Html
		</td>
	</tr>
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Letter</b></td></tr>
	<tr>
		<td valign=top>
			Subject:&nbsp
		</td>
		<td>
			<input type=text name=Subject0 size=50 value="<?=$Subject0?>">
		</td>
	</tr>
	<tr>
		<td valign=top>
			Include:&nbsp
		</td>
		<td>
			<input type=checkbox name="IncludeHeader" <?=$IncludeHeader?"checked":""?>> Header<br>
			<input type=checkbox name="IncludeFooter" <?=$IncludeFooter?"checked":""?>> Footer<br>
		</td>
	</tr>
	<tr>
		<td valign=top>
			Message:<br><br>
			<input type=button id="MenuItem0" onMouseOut="javascript: set_timer()" onClick="javascript: menu_show(0)" value="Add tag">
			<br><br>
			Tags can be used only with <b>Separate letters to everyone</b> sending style.
		</td>
		<td>
			<textarea id="message" name="MessageText" cols=70 rows="20" wrap="virtual"><?=stripslashes($MessageText);?></textarea>
		</td>
	</tr>
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"><b>Attachments</b></td></tr>
	<tr>
		<td colspan=2 class=BodyText>
<?php
	$upload->PrintUploadID();
	if( !$upload->PrintAttachedList('images/file.gif') )
		print 'No files currently attached.';
?>
		<hr width=50% size=1 align=left>
		</td>
	</tr>
	<tr>
		<td colspan=2 class=BodyText>
		
<?php
	$upload->PrintInput();
	$upload->PrintInput();
	$upload->PrintInput();
?>
		<p>
		<input type=button value=Update onclick="javascript:GotoContext('1');">
		</td>
	</tr>	
	<tr><td colspan=2 height="10" bgcolor="#e0e0e0"></td></tr>
	<tr>
		<td colspan=2 align=right>
			<input type=button value=Back onclick="javascript:GotoContext('0');">
			&nbsp;&nbsp;&nbsp;
			<input type=submit name="Next" value=Preview>
		</td>
	</tr>
</table>
</form>
